//let createError = require('http-errors');
import createError from 'http-errors';
import logger from 'morgan';
import express from 'express';
import path from 'path';
import * as dotenv from 'dotenv';
import router from './routes/index.mjs';

dotenv.config();

let indexRouter = router;

let app = express();

const PORT = process.env.PORT || 3000;

// view engine setup
//app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'ejs');

app.use(logger('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));
//app.use(express.static(path.join(__dirname, 'public')));

app.use('/', indexRouter);

// catch 404 and forward to error handler
app.use(function(req, res, next) {
	next(createError(404));
});
// error handler
app.use(function(err, req, res, next) {
	// set locals, only providing error in development
	res.locals.message = err.message;
	res.locals.error = req.app.get('env') === 'development' ? err : {};

	// render the error page
	res.status(err.status || 500);
	res.json(err.message);
});

app.listen(PORT);
